#!/bin/bash

export DISPLAY=:0

while true; do
    if xrandr | grep -q 'HDMI-1 connected'; then
        echo "HDMI connected. Configuring..."
        /usr/bin/xrandr --output HDMI-1 --left-of eDP-1
        /usr/bin/xrandr --output HDMI-1 --primary
        exit 0  # Exit after configuring HDMI
    elif xrandr | grep -q 'DSI-1 connected'; then
        echo "DSI connected. Configuring..."
        /usr/bin/xrandr --output DSI-1 --left-of eDP-1
        /usr/bin/xrandr --output DSI-1 --primary
        exit 0  # Exit after configuring DSI
    fi
    sleep 10  # Check every 10 seconds
done

